using UnityEngine;
using System.Collections;
using UnityEngine.UI;

public class Bar : MonoBehaviour {

    [SerializeField] private Image _border;
    [SerializeField] private Image _bar;

    public void SetColour(Color bar, Color border) {
        _border.color = border;
        _bar.color = bar;
    }

    public void SetValue(float v,bool both) {
        _bar.rectTransform.localScale = new Vector3(v, both?v:1.0f, 1.0f);
    }
}
